Jump to content

problem during install mysql and phpmyadmin


gongpex
 Share

Recommended Posts

Hello everybody,

 

finally I can find apache 2.4 that suitable for win 8,

 

but I got problem again.

 

After I success install php on apache 2.4 I got problem during installation mysql and phpmyadmin,

 

I think so that just to the point I will attach screenshot about the error (problem).

 

1) This is error during installation mysql :

 

mysql-error_zps285c4090.png

 

2) This is error during installation phpmyadmin :

 

phpmyadmin_zpsffe4c038.pngI had read some article on google how to fix it and try it, but not successful.

 

Q1 : about configuration php : which php that I must choose ? because when I extract php I found 2 php.ini that's :

 

- php.ini-development

- php.ini-production

 

Q2 : how to fix this problem?

 

this is my specification :

 

- httpd-2.4.7-win32 -server

- php-5.3.0-Win32-VC9-x86.zip -php installer

- mysql-essential-5.1.24-rc-win32.msi -mysql installer

- phpMyAdmin-3.4.3.1-all-languages - phpmyadmin

 

please help me to solve this problem

 

thanks

 

 

  • Like 1
Link to comment
Share on other sites

The first error message says that the username and password you're trying to use to connect to MySQL are wrong. Look up the MySQL documentation for how to set up users and how to connect. Like the error message says, it also might be a firewall issue. It also indicates there might be an issue with an old installation.The second error message says that PHP does not have the mysql extension enabled. That's fine, there's no reason to use the mysql extension, so you should configure phpMyAdmin to use the mysqli extension instead.

about configuration php : which php that I must choose ? because when I extract php I found 2 php.ini that's :

The manual describes how to configure PHP:http://www.php.net/manual/en/install.windows.manual.phpI would also recommend that you skip PHP 5.3 and install 5.5 instead.
Link to comment
Share on other sites

This is first installation mysql on my notebook,

 

Q1 : so, should I uninstall my old installation?

 

according on : http://dev.mysql.com/downloads/mysql/5.1.html#downloads

 

Q2 : should I download mysql x86 64 bit version?

 

Q3 : if I should, which I must download ? (msi installer official or ZIP archieve)

 

please help me

 

thanks

 

_______________________________________________________________________

 

I don't understand, why every time windows release new version always there is problem, not like when I used windows xp. . . . .

Link to comment
Share on other sites

If you have a previous installation of MySQL then you should uninstall it and then manually delete the data directories and everything else before installing a new version. That's going to remove all of the databases, logins, and everything.

should I download mysql x86 64 bit version?

Download the version that matches your operating system.

if I should, which I must download ? (msi installer official or ZIP archieve)

Whichever one floats your boat.
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...